5 Replies Latest reply: Dec 7, 2012 3:52 PM by Patt
caauanar Level 1 Level 1 (0 points)

On my Powerbook I have Mac OS X 10.5.8... And I know the download thing for Adobe like you click the down arrow and pick what system you have and everything and I do click "Mac OS X 10.4-10.6 or whatever and I do have inbetween the range of 10.4-10.6 so I just dont understand what the problem is! I tried uninstalling and reinstalling but when I try to download it, It says "We do not support PowerPC andymore" Or something like that... And Ive searched for over three hours and I give up... PLEASE HELP!!1